Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.properties
Class OWLPropertySubpropertyNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.ui.SlotSubslotNode
              edu.stanford.smi.protegex.owl.ui.properties.OWLPropertySubpropertyNode

All Implemented Interfaces:
  TreeNode

    public class OWLPropertySubpropertyNode

extends edu.stanford.smi.protege.ui.SlotSubslotNode

Constructor Summary
`OWLPropertySubpropertyNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode, edu.stanford.smi.protege.model.Slot parentSlot)`

Method Summary
`protected Collection` | `getChildObjects()`

Methods inherited from class edu.stanford.smi.protege.ui.SlotSubslotNode
`createNode, dispose, getChildObjectCount, getComparator, getSlot, notifyNodeChanged, toString`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLPropertySubpropertyNode

    public OWLPropertySubpropertyNode(edu.stanford.smi.protege.util.LazyTreeNode parentNode,
                                      edu.stanford.smi.protege.model.Slot parentSlot)

Method Detail

### getChildObjects

    protected Collection getChildObjects()

  Overrides:
    `getChildObjects` in class `edu.stanford.smi.protege.ui.SlotSubslotNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.